Bug 120212 - /var/lib/rpc_pipes can not be mounted
/var/lib/rpc_pipes can not be mounted
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-06 16:41 EDT by Aleksey Nogin
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-08 10:02:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2004-04-06 16:41:44 EDT
With either of policy-sources-1.9.2-10 or policy-sources-1.9.2-12,
/var/lib/rpc_pipes can not be mounted:

audit(1081279967.019:0): avc:  denied  { mounton } for  pid=129
exe=/bin/mount path=/var/lib/rpc_pipes dev=hda2 ino=425580
scontext=system_u:system_r:mount_t
tcontext=system_u:object_r:var_lib_t tclass=dir
audit(1081279967.021:0): avc:  denied  { mounton } for  pid=129
exe=/bin/mount path=/var/lib/rpc_pipes dev=hda2 ino=425580
scontext=system_u:system_r:mount_t
tcontext=system_u:object_r:var_lib_t tclass=dir
audit(1081280017.085:0): avc:  denied  { mounton } for  pid=1166
exe=/bin/mount path=/var/lib/rpc_pipes dev=hda2 ino=425580
scontext=system_u:system_r:mount_t
tcontext=system_u:object_r:var_lib_t tclass=dir
audit(1081280017.088:0): avc:  denied  { mounton } for  pid=1166
exe=/bin/mount path=/var/lib/rpc_pipes dev=hda2 ino=425580
scontext=system_u:system_r:mount_t
tcontext=system_u:object_r:var_lib_t tclass=dir
Comment 1 Daniel Walsh 2004-04-06 18:59:52 EDT
/var/lib/rpc_pipes should not exist anymore isn't this supposed to be

/var/lib/nfs/rpc_pipefs.  If you want to mount on the directory change
its context to mnt_t

chcon -t mnt_t /var/lib/rpc_pipes
Comment 2 Aleksey Nogin 2004-04-06 20:05:42 EDT
What package should be taking care of this? I do not know what added
/var/lib/rpc_pipes to the /etc/fstab, but whatever it was, I still
have it there and no /var/lib/nfs/rpc_pipefs.

Or should I just delete the line and assume this came from a
bad/unsupported upgrade path? Thanks!
Comment 3 Daniel Walsh 2004-04-06 20:09:45 EDT
rpm -q -f /var/lib/nfs/rpc_pipefs/
nfs-utils-1.0.6-19.fc2

There was a version that put it there, but it was changed to the new
location.  So yes it was a update path that got you there.

Note You need to log in before you can comment on or make changes to this bug.